/***********************************************************************
frogd, daemon pour l'utilisation des capteurs meteo de http://www.froggyhome.com

Copyright (C) 2001 (Regis Barbier)
Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon 
les termes de la Licence Publique Gnrale GNU publie par la Free Software 
Foundation (version 2 ou bien toute autre version ultrieure choisie par vous).

Ce programme est distribu car potentiellement utile, mais SANS AUCUNE 
GARANTIE, ni explicite ni implicite, y compris les garanties de 
commercialisation ou d'adaptation dans un but spcifique. Reportez-vous  la 
Licence Publique Gnrale GNU pour plus de dtails.

Vous devez avoir reu une copie de la Licence Publique Gnrale GNU en mme 
temps que ce programme. Si ce n'est pas le cas, crivez  la Free Software 
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, tats-Unis.
*************************************************************************/

#ifndef FROG_CALC_H
#define FROG_CALC_H

//---------------------------------------------------------------
// process the data of the presure and temperature sensors
//---------------------------------------------------------------
int CalcPresTemp(Frog* frog, int sensornumber, unsigned char* reponse);

//---------------------------------------------------------------
// process the data of the humidity sensor
//---------------------------------------------------------------
int CalcHr(Frog* frog, int sensornumber, unsigned char* reponse);

//---------------------------------------------------------------
// process the frame and return the values for presure, temperature and humidity
//---------------------------------------------------------------
int CalcValue(Frog* frog);

#endif
